<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-alerts](./foundation-alerts.md) &gt; [configure](./foundation-alerts.configure.md)

## configure() function

configure.

**Signature:**

```typescript
export declare function configure(config: Partial<AlertConfig>): Promise<typeof import("../main").FoundationAlerts>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | Partial&lt;[AlertConfig](./foundation-alerts.alertconfig.md)<!-- -->&gt; | A partial AlertConfig. |

**Returns:**

Promise&lt;typeof import("../main").[FoundationAlerts](./foundation-alerts.foundationalerts.md)<!-- -->&gt;

## Remarks

Configure the alert micro frontend for host app integration.

## Example

Providing template options to align to your host application.

```ts

  const { configure } = await import('@genesislcap/foundation-alerts/config'); // < import from the subpath
  return configure({
    name: `nexus-app-alerts`,
    // These will be merged with the packages `defaultTemplateOptions`. You will need to have these components registered in your application.
    templateOptions: {
      button: 'nexus-button',
      checkbox: 'nexus-checkbox-next',
      provider: 'template',
    },
  });
},
```

